clang 10.0.0git

Public Member Functions | List of all members
clang::DumpCompilerOptionsAction Class Reference

`#include "clang/Frontend/FrontendActions.h"`

Inheritance diagram for clang::DumpCompilerOptionsAction:
[legend]
Collaboration diagram for clang::DumpCompilerOptionsAction:
[legend]

## Public Member Functions
bool | usesPreprocessorOnly () const override
| Does this action only use the preprocessor? More...
Public Member Functions inherited from clang::FrontendAction
| FrontendAction ()
virtual | ~FrontendAction ()
CompilerInstance & | getCompilerInstance () const
void | setCompilerInstance (CompilerInstance *Value)
bool | isCurrentFileAST () const
const FrontendInputFile & | getCurrentInput () const
StringRef | getCurrentFile () const
StringRef | getCurrentFileOrBufferName () const
InputKind | getCurrentFileKind () const
ASTUnit & | getCurrentASTUnit () const
Module * | getCurrentModule () const
std::unique_ptr< ASTUnit > | takeCurrentASTUnit ()
void | setCurrentInput (const FrontendInputFile &CurrentInput, std::unique_ptr< ASTUnit > AST=nullptr)
virtual bool | isModelParsingAction () const
| Is this action invoked on a model file? More...
virtual TranslationUnitKind | getTranslationUnitKind ()
| For AST-based actions, the kind of translation unit we're handling. More...
virtual bool | hasPCHSupport () const
| Does this action support use with PCH? More...
virtual bool | hasASTFileSupport () const
| Does this action support use with AST files? More...
virtual bool | hasIRSupport () const
| Does this action support use with IR files? More...
virtual bool | hasCodeCompletionSupport () const
| Does this action support use with code completion? More...
bool | PrepareToExecute (CompilerInstance &CI)
| Prepare the action to execute on the given compiler instance. More...
bool | BeginSourceFile (CompilerInstance &CI, const FrontendInputFile &Input)
| Prepare the action for processing the input file `Input`. More...
llvm::Error | Execute ()
| Set the source manager's main input file, and run the action. More...
void | EndSourceFile ()
| Perform any per-file post processing, deallocate per-file objects, and run statistics and output file cleanup code. More...

## Additional Inherited Members
Protected Member Functions inherited from clang::FrontendAction
virtual bool | PrepareToExecuteAction (CompilerInstance &CI)
| Prepare to execute the action on the given CompilerInstance. More...
virtual bool | BeginInvocation (CompilerInstance &CI)
| Callback before starting processing a single input, giving the opportunity to modify the CompilerInvocation or do some other action before BeginSourceFileAction is called. More...
virtual bool | BeginSourceFileAction (CompilerInstance &CI)
| Callback at the start of processing a single input. More...
virtual void | EndSourceFileAction ()
| Callback at the end of processing a single input. More...
virtual bool | shouldEraseOutputFiles ()
| Callback at the end of processing a single input, to determine if the output files should be erased or not. More...

## Detailed Description

Definition at line 37 of file FrontendActions.h.

## Member Function Documentation

## ◆ usesPreprocessorOnly()

bool clang::DumpCompilerOptionsAction::usesPreprocessorOnly | ( |  | ) | const
| inline override virtual

Does this action only use the preprocessor?

If so no AST context will be created and this action will be invalid with AST file inputs.

Implements clang::FrontendAction.

Definition at line 46 of file FrontendActions.h.

The documentation for this class was generated from the following files:

- include/clang/Frontend/FrontendActions.h
- lib/Frontend/FrontendActions.cpp